Uses of Interface
com.eqixiac.equinix.networkedge.model.Backup
Packages that use Backup
Package
Description
Network Edge client interfaces for the Equinix Java SDK.
Network Edge model interfaces for the Equinix Java SDK.
-
Uses of Backup in com.eqixiac.equinix.networkedge.client
Methods in com.eqixiac.equinix.networkedge.client that return BackupModifier and TypeMethodDescriptionGets the specified backup.Methods in com.eqixiac.equinix.networkedge.client that return types with arguments of type BackupModifier and TypeMethodDescriptionLists available backups for the provided deviceUuid.Backups.list(String deviceUuid, RequestBuilder.Backup requestBuilder) Lists available backups for the provided deviceUuid and desired query parameters. -
Uses of Backup in com.eqixiac.equinix.networkedge.client.implementation
Methods in com.eqixiac.equinix.networkedge.client.implementation that return BackupMethods in com.eqixiac.equinix.networkedge.client.implementation that return types with arguments of type BackupModifier and TypeMethodDescriptionBackupsImpl.list(String deviceUuid, RequestBuilder.Backup requestBuilder) Lists available backups for the provided deviceUuid and desired query parameters. -
Uses of Backup in com.eqixiac.equinix.networkedge.client.internal.implementation
Subclasses with type arguments of type Backup in com.eqixiac.equinix.networkedge.client.internal.implementationModifier and TypeClassDescriptionclassInternal client for Network Edge device Backups.Classes in com.eqixiac.equinix.networkedge.client.internal.implementation that implement interfaces with type arguments of type BackupModifier and TypeClassDescriptionclassInternal client for Network Edge device Backups.Methods in com.eqixiac.equinix.networkedge.client.internal.implementation that return Backup -
Uses of Backup in com.eqixiac.equinix.networkedge.model
Methods in com.eqixiac.equinix.networkedge.model with parameters of type Backup -
Uses of Backup in com.eqixiac.equinix.networkedge.model.json.creators
Subclasses with type arguments of type Backup in com.eqixiac.equinix.networkedge.model.json.creatorsMethods in com.eqixiac.equinix.networkedge.model.json.creators that return BackupModifier and TypeMethodDescriptionBackupOperator.BackupBuilder.save()BackupOperator.BackupUpdater.save()Constructor parameters in com.eqixiac.equinix.networkedge.model.json.creators with type arguments of type Backup -
Uses of Backup in com.eqixiac.equinix.networkedge.model.wrappers
Classes in com.eqixiac.equinix.networkedge.model.wrappers that implement BackupSubclasses with type arguments of type Backup in com.eqixiac.equinix.networkedge.model.wrappersMethods in com.eqixiac.equinix.networkedge.model.wrappers with parameters of type BackupConstructor parameters in com.eqixiac.equinix.networkedge.model.wrappers with type arguments of type BackupModifierConstructorDescriptionBackupWrapper(BackupJson deviceLinkJson, Pageable<Backup> serviceClient) RestoreFeasibilityWrapper(RestoreFeasibilityJson json, Pageable<Backup> serviceClient)